commit:     97f93ee0f1f33717e56e8f1edd41253e4ed7facd
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 10 13:21:04 2019 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun Nov 10 13:24:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97f93ee0

app-laptop/hdaps-gl: new EAPI=7 revision.

The ancient v0.0.5 is still the latest version, but surprisingly
it still works well. The new revision just cleans things up a bit.

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 app-laptop/hdaps-gl/hdaps-gl-0.0.5-r1.ebuild | 32 ++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/app-laptop/hdaps-gl/hdaps-gl-0.0.5-r1.ebuild 
b/app-laptop/hdaps-gl/hdaps-gl-0.0.5-r1.ebuild
new file mode 100644
index 00000000000..6e145279052
--- /dev/null
+++ b/app-laptop/hdaps-gl/hdaps-gl-0.0.5-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="OpenGL visualization for HDAPS data"
+HOMEPAGE="http://hdaps.sourceforge.net";
+SRC_URI="mirror://sourceforge/hdaps/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND=""
+DEPEND="virtual/opengl
+       media-libs/freeglut"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-as-needed.diff" )
+
+src_compile() {
+       emake CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS} ${LDFLAGS}" \
+               || die "emake failed"
+}
+
+src_install() {
+       dobin "${PN}"
+}

Reply via email to